<?php

/**
 *
 * @since             1.0.0
 * @package           WosmPL
 *
 * @wordpress-plugin
 * Plugin Name:       WosmPL
 * Plugin URI:        https://cooperatic.fr
 * Description:       Manage Page locations.
 * Version:           1.1.2
 * Author:            Fracolo
 * Author URI:        https://cooperatic.fr
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wosmpl
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WOSMPL_VERSION', '1.1.1' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wosmpl-activator.php
 */
function activate_wosmpl() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wosmpl-activator.php';
	WosmPL_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function deactivate_wosmpl() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wosmpl-deactivator.php';
	WosmPL_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wosmpl' );
register_deactivation_hook( __FILE__, 'deactivate_wosmpl' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wosmpl.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wosmpl() {

	$plugin = new WosmPL();
	$plugin->run();

}
run_WosmPL();

/*
Useful links
https://developer.wordpress.org/plugins/security/checking-user-capabilities/
https://developer.wordpress.org/plugins/security/data-validation/
https://developer.wordpress.org/plugins/security/securing-input/
https://developer.wordpress.org/plugins/security/securing-output/
https://developer.wordpress.org/plugins/security/nonces/
https://codex.wordpress.org/Plugin_API/Filter_Reference
https://codex.wordpress.org/Plugin_API/Action_Reference
https://developer.wordpress.org/plugins/hooks/advanced-topics/
https://developer.wordpress.org/plugins/privacy/suggesting-text-for-the-site-privacy-policy/
https://developer.wordpress.org/plugins/shortcodes/basic-shortcodes/
https://developer.wordpress.org/plugins/shortcodes/shortcodes-with-parameters
https://developer.wordpress.org/plugins/settings/custom-settings-page/
https://developer.wordpress.org/rest-api/extending-the-rest-api/adding-custom-endpoints/
*/
